# General Translation Platform: Invia i diff di traduzione
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/files/submit-diffs.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Sovrascrivi le traduzioni con contenuti localizzati forniti dall'utente. Riferimento API per Invia i diff di traduzione.

{/* Questo file è stato generato da Fumadocs. Non modificare direttamente questo file. Eventuali modifiche devono essere apportate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/diffs`

**Operation ID:** `submitUserEditDiffs`

**Tags:** `Files`

**Summary:** Submit translation diffs

Overwrite translations with user-provided localized content.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `projectId` (string)
- `diffs` (object[], required)
  - `locale` (string, required)
  - `diff` (string, required)
  - `branchId` (string)
  - `versionId` (string, required)
  - `fileId` (string, required)
  - `localContent` (string, required)

### Responses

**200**: Processed user translation edits
Response body (`application/json`, object):
- `filesProcessed` (integer, required)
- `entriesReceived` (integer, required)
- `message` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
